CREATE TABLE "flashcards_lectureperiod" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "start_time" time NOT NULL, "end_time" time NOT NULL, "section_id" integer NOT NULL REFERENCES "flashcards_section" ("id"), "week_day" integer NOT NULL, UNIQUE ("section_id", "start_time", "week_day"));
CREATE TABLE "flashcards_whitelistedaddress" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "email" varchar(254) NOT NULL, "section_id" integer NOT NULL REFERENCES "flashcards_section" ("id"));
CREATE TABLE "flashcards_section" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,"department" varchar(50) NOT NULL,"course_num" varchar(6) NOT NULL,"course_title" varchar(50) NOT NULL,"instructor" varchar(100) NOT NULL,"dept_abbr" varchar(10) NOT NULL,"quarter" varchar(4) NOT NULL);
CREATE TABLE "flashcards_user" (id integer NOT NULL PRIMARY KEY AUTOINCREMENT,"password" varchar(128) NOT NULL, "lastlogin" DATETIME,"is_superuser" bool NOT NULL,"username" varchar(30) NOT NULL,"first_name" varchar(30) NOT NULL,"last_name" varchar(30) NOT NULL,"email" varchar(254) NOT NULL,"is_staff" bool NOT NULL,"is_active" bool NOT NULL,"date_joined" TIMESTAMP NOT NULL, "confirmed_email" bool NOT NULL, "last_notified" TIMESTAMP,   "registration_id" varchar(4096));
CREATE TABLE "flashcards_user_sections" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "user_id" integer NOT NULL REFERENCES "flashcards_user" ("id"), "section_id" integer NOT NULL REFERENCES "flashcards_section" ("id"), UNIQUE ("user_id", "section_id"));
CREATE TABLE "flashcards_userflashcardquiz" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "when" datetime NOT NULL, "response" varchar(255), "correct" bool, "user_flashcard_id" integer NOT NULL REFERENCES "flashcards_userflashcard" ("id"), "blanked_word" varchar(255) NOT NULL);
CREATE TABLE "flashcards_flashcard" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "text" varchar(180) NOT NULL, "pushed" datetime NOT NULL, "material_date" datetime NOT NULL, "is_hidden" bool NOT NULL, "hide_reason" varchar(255), "author_id" integer NOT NULL REFERENCES "flashcards_user" ("id"), "previous_id" integer REFERENCES "flashcards_flashcard" ("id"), "section_id" integer NOT NULL REFERENCES "flashcards_section" ("id"), "mask" varchar, "score" real NOT NULL);
CREATE TABLE "flashcards_userflashcard" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "pulled" datetime NOT NULL, "flashcard_id" integer NOT NULL REFERENCES "flashcards_flashcard" ("id"), "user_id" integer NOT NULL REFERENCES "flashcards_user" ("id"), "mask" varchar, "last_interval" integer NOT NULL, "last_response_factor" real NOT NULL, "next_review" datetime, UNIQUE ("user_id", "flashcard_id"));
CREATE TABLE "flashcards_flashcardhide" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "reason" varchar(255), "hidden" datetime NOT NULL, "flashcard_id" integer NOT NULL REFERENCES "flashcards_flashcard" ("id"), "user_id" integer NOT NULL REFERENCES "flashcards_user" ("id"), UNIQUE ("user_id", "flashcard_id"));

CREATE TABLE "django_session" ("session_key" varchar(40) NOT NULL PRIMARY KEY, "session_data" text NOT NULL, "expire_date" datetime NOT NULL);






