//http://docs.casperjs.org/en/latest/modules/casper.html#captureselector
//Run with: casperjs --ssl-protocol=tlsv1 ss_test.js

var utils = require('utils');

var casper = require('casper').create({
    verbose: true,
    logLevel: "debug",
    onResourceReceived: function(C, requestData, request) {
    },
});
casper.on('remote.msg', function(data){
    this.echo(data);
});

casper.on( 'page.error', function (msg, trace) {
    this.echo(msg);
});
phantom.page.injectJs( 'shim.js');


function pad(number) {
  var r = String(number);
  if ( r.length === 1 ) {
    r = '0' + r;

  }
  return r;
}
 
screenshotUrl = [
  {
    'name': 'login', 
    'link': 'https://flashy.cards/app/login'
  },
  { 
    'name': 'deck', 
    'link': 'https://flashy.cards/app/deck/496'
  },
  { 
    'name': 'feed', 
    'link': 'https://flashy.cards/app/feed/496'
  },
  { 
    'name': 'addclass',
    'link': 'https://flashy.cards/app/addclass'
  },
  { 
    'name': 'study', 
    'link': 'https://flashy.cards/app/study'
  }, 
  {
    'name': 'settings', 
    'link': 'https://flashy.cards/app/settings'
  }, 
  { 
    'name': 'cards', 
    'link': 'https://flashy.cards/app/cards/496'
  }, 
  { 
    'name': 'logout', 
    'link': 'https://flashy.cards/app/logout'
  }
 ],

    screenshotNow = new Date(),
    screenshotDateTime = screenshotNow.getFullYear() + pad(screenshotNow.getMonth() + 1) + pad(screenshotNow.getDate()) + '-' + pad(screenshotNow.getHours()) + pad(screenshotNow.getMinutes()) + pad(screenshotNow.getSeconds()),
    viewports = [
      {
        'name': 'smartphone-portrait',
        'viewport': {width: 320, height: 480}
      },
      {
        'name': 'smartphone-landscape',
        'viewport': {width: 480, height: 320}
      },
      {
        'name': 'tablet-portrait',
        'viewport': {width: 768, height: 1024}
      },
      {
        'name': 'tablet-landscape',
        'viewport': {width: 1024, height: 768}
      },
      {
        'name': 'desktop-standard',
        'viewport': {width: 1280, height: 1024}
      }
    ];

casper.start();
 casper.each(viewports, function(casper, viewport) {  
  this.then(function() {
    this.viewport(viewport.viewport.width, viewport.viewport.height); 
  }); 
  this.thenOpen(screenshotUrl[0].link, function() {
  this.wait(300); 
  this.then(function(){
    this.echo('Current location is ' + this.getCurrentUrl() + ' Screenshot for ' + viewport.name + ' (' + viewport.viewport.width + 'x' + viewport.viewport.height + ')', 'info');
    this.capture('screenshots/login-before/'  + viewport.name + '-' + viewport.viewport.width + 'x' + viewport.viewport.height + '.png', {
        top: 0,
        left: 0,
        width: viewport.viewport.width,
        height: viewport.viewport.height
    });
});
});
});
   
casper.each(screenshotUrl, function(self, screenshotUrl) {

  this.thenOpen(screenshotUrl.link, function() {
    this.wait(300);
    if( screenshotUrl.link == 'https://flashy.cards/app/login' ) {
    this.fillSelectors('form#login-form', {
           'input[name=login]': 'casper@flashy.cards',
           'input[name=password]': 'casper'
       }, true);
    this.click( 'button[name=action]' ); };
  });
 
this.each(viewports, function(casper, viewport) {
  this.then(function() {
    this.viewport(viewport.viewport.width, viewport.viewport.height);
  });
  this.then(function(){
    this.echo('Current location is ' + this.getCurrentUrl() + ' Screenshot for ' + viewport.name + ' (' + viewport.viewport.width + 'x' + viewport.viewport.height + ')', 'info');
    this.capture('screenshots/' + screenshotUrl.name + '/'  + viewport.name + '-' + viewport.viewport.width + 'x' + viewport.viewport.height + '.png', {
        top: 0,
        left: 0,
        width: viewport.viewport.width,
        height: viewport.viewport.height
    });

  });
});
});
casper.run();

